Lập Trình Linux

New Python- Pip Install – PermissionError: [WinError 5] Access is denied:




Exception:
Traceback (most recent call last):
File “C:Usersramit.girdharAppDataLocalProgramsPythonPython36-32libshu
til.py”, line 387, in _rmtree_unsafe
os.unlink(fullname)
PermissionError: [WinError 5] Access is denied: ‘C:\Users\RAMIT~1.GIR\AppData
\Local\Temp\pip-7n7y5d6j-unpack\pip-10.0.1-py2.py3-none-any.whl’

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “C:Usersramit.girdharAppDataLocalProgramsPythonPython36-32libsit
e-packagespipbasecommand.py”, line 215, in main
status = self.run(options, args)
File “C:Usersramit.girdharAppDataLocalProgramsPythonPython36-32libsit
e-packagespipcommandsinstall.py”, line 324, in run
requirement_set.prepare_files(finder)
File “C:Usersramit.girdharAppDataLocalProgramsPythonPython36-32libsit
e-packagespipreqreq_set.py”, line 380, in prepare_files
ignore_dependencies=self.ignore_dependencies))
File “C:Usersramit.girdharAppDataLocalProgramsPythonPython36-32libsit
e-packagespipreqreq_set.py”, line 620, in _prepare_file
session=self.session, hashes=hashes)
File “C:Usersramit.girdharAppDataLocalProgramsPythonPython36-32libsit
e-packagespipdownload.py”, line 821, in unpack_url
hashes=hashes
File “C:Usersramit.girdharAppDataLocalProgramsPythonPython36-32libsit
e-packagespipdownload.py”, line 671, in unpack_http_url
rmtree(temp_dir)
File “C:Usersramit.girdharAppDataLocalProgramsPythonPython36-32libsit
e-packagespip_vendorretrying.py”, line 49, in wrapped_f
return Retrying(*dargs, **dkw).call(f, *args, **kw)
File “C:Usersramit.girdharAppDataLocalProgramsPythonPython36-32libsit
e-packagespip_vendorretrying.py”, line 212, in call
raise attempt.get()
File “C:Usersramit.girdharAppDataLocalProgramsPythonPython36-32libsit
e-packagespip_vendorretrying.py”, line 247, in get
six.reraise(self.value[0], self.value[1], self.value[2])
File “C:Usersramit.girdharAppDataLocalProgramsPythonPython36-32libsit
e-packagespip_vendorsix.py”, line 686, in reraise
raise value
File “C:Usersramit.girdharAppDataLocalProgramsPythonPython36-32libsit
e-packagespip_vendorretrying.py”, line 200, in call
attempt = Attempt(fn(*args, **kwargs), attempt_number, False)
File “C:Usersramit.girdharAppDataLocalProgramsPythonPython36-32libsit
e-packagespiputils__init__.py”, line 102, in rmtree
onerror=rmtree_errorhandler)
File “C:Usersramit.girdharAppDataLocalProgramsPythonPython36-32libshu
til.py”, line 494, in rmtree
return _rmtree_unsafe(path, onerror)
File “C:Usersramit.girdharAppDataLocalProgramsPythonPython36-32libshu
til.py”, line 389, in _rmtree_unsafe
onerror(os.unlink, fullname, sys.exc_info())
File “C:Usersramit.girdharAppDataLocalProgramsPythonPython36-32libsit
e-packagespiputils__init__.py”, line 112, in rmtree_errorhandler
os.chmod(path, stat.S_IWRITE)
PermissionError: [WinError 5] Access is denied: ‘C:\Users\RAMIT~1.GIR\AppData
\Local\Temp\pip-7n7y5d6j-unpack\pip-10.0.1-py2.py3-none-any.whl’
You are using pip version 9.0.3, however version 10.0.1 is available.
You should consider upgrading via the ‘python -m pip install –upgrade pip’ comm
and.

C:Usersramit.girdhar

Nguồn:https://ftlinuxcourse.com/

Xem Thêm Bài Viết Khác:https://ftlinuxcourse.com/lap-trinh-linux

Tin HOT
giá vàng 9999 hôm nay 11/4/2020 bao nhiêu một chỉ ? | giá VÀNG SJC 9999 24K Mức Giá CAO Kỷ Lục ?
Tin HOT
💥Tin bóng đá 11/03|Thầy trò Mourinho thảm bại tại 1/8 cúp C1, MU hào hứng đấu trí để có Harry Kane
Tin HOT
Tình hình dịch virus corona mới nhất hôm nay 17/2/2020 | Tổng hợp tin tức FBNC TV
  • >python -m pip install –user –upgrade pip


  • Better to set environment variable properly, that can be achieved by uninstalling any previous version and all the folder then reinstall python again


  • Thanks…


  • check out this one https://www.youtube.com/watch?v=71tMSpIRu0c


  • Why do i get an error sayng "retrying….
    When running through CMD admin.
    pip install pyautogui
    error…retrying(…